function s = DeBlankLT( s )

%-------------------------------------------------------------------------------
%   Delete leading and trailing blanks.
%-------------------------------------------------------------------------------
%   Form:
%   s = DeBlankLT( s )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   s      (1,:)   Character string or cell array
%
%   -------
%   Outputs
%   -------
%   s      (1,:)   Character string or cell array
%
%-------------------------------------------------------------------------------

%-------------------------------------------------------------------------------
%   Copyright 1998-2000 Princeton Satellite Systems, Inc. All rights reserved.
%-------------------------------------------------------------------------------

if( iscell(s) )
  for j = 1:length(s)
    k     = min(find( isspace( s{j} ) == 0 ) );
    s{j}  = deblank(s{j}(k:end));
  end
else  
  n = isspace(s);
  if( ~isempty(n) )
    k = min(find( n == 0 ) );
    s = deblank(s(k:end));
  end
end

% PSS internal file version information
%--------------------------------------
% $Date: 2002/11/14 16:33:46 $
% $Revision: 1.2 $
